Name:       gsmartcontrol
Version:    1.1.1
Release:    1%{?dist}
Summary:    Graphical user interface for smartctl

# Note that the "Whatever" license is effectively the MIT license.  See email
# from Tom Callaway to Fedora-legal-list on 18-APR-2011.
License:    (GPLv2 or GPLv3) and BSD and zlib and Boost and MIT

URL:        http://gsmartcontrol.sourceforge.net
Source0:    https://downloads.sourceforge.net/project/%{name}/%{version}/%{name}-%{version}.tar.bz2

BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  gtkmm30-devel
BuildRequires:  pcre-devel
BuildRequires:  desktop-file-utils
Requires:       smartmontools >= 5.43
Requires:       hicolor-icon-theme

%description
GSmartControl is a graphical user interface for smartctl (from
smartmontools package), which is a tool for querying and controlling
SMART (Self-Monitoring, Analysis, and Reporting Technology) data on
modern hard disk drives. It allows you to inspect the drive's SMART
data to determine its health, as well as run various tests on it.

%prep
%autosetup -p1
autoreconf -fiv


%build
export CXXFLAGS="-std=c++11"
%configure --docdir=%{_pkgdocdir}
%make_build

%install
%make_install
#Correct shebang
sed -i 's|/usr/bin/env bash|/usr/bin/bash|' %{buildroot}%{_bindir}/%{name}-root


%check
desktop-file-validate %{buildroot}%{_datadir}/applications/%{name}.desktop

%post
/bin/touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :

%postun
if [ $1 -eq 0 ] ; then
    /bin/touch --no-create %{_datadir}/icons/hicolor &>/dev/null
    /usr/bin/gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
fi

%posttrans
/usr/bin/gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :


%files
%license COPYING
%{_bindir}/%{name}-root
%{_sbindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/%{name}
%{_datadir}/pixmaps/%{name}.png
%{_datadir}/pixmaps/%{name}.xpm
%{_datadir}/icons/hicolor/*x*/apps/%{name}.png
%{_datadir}/polkit-1/actions/org.%{name}.policy
%{_mandir}/man1/%{name}.1.*
%{_mandir}/man1/%{name}-root.1.*
%{_pkgdocdir}
%{_datadir}/metainfo/gsmartcontrol.appdata.xml

%changelog
* Tue Oct 10 2017 Vasiliy N. Glazov <vascom2@gmail.com> - 1.1.1-1
- Update to 1.1.1

* Thu Sep 21 2017 Vasiliy N. Glazov <vascom2@gmail.com> - 1.1.0-2
- Drop consolehelper

* Tue Sep 12 2017 Vasiliy N. Glazov <vascom2@gmail.com> - 1.1.0-1
- Update to 1.1.0
- Drop pcrecpp patch
- Cleanup spec

* Fri Jul 21 2017 Vasiliy N. Glazov <vascom2@gmail.com> - 1.0.2-1
- Update to 1.0.2

* Mon Jun 19 2017 Vasiliy N. Glazov <vascom2@gmail.com> - 1.0.1-1
- Update to 1.0.1

* Sat Jun 17 2017 Vasiliy N. Glazov <vascom2@gmail.com> - 1.0.0-1
- Update to 1.0.0

* Thu May 11 2017 Vasiliy N. Glazov <vascom2@gmail.com> - 0.9.0-1
- Update to 0.9.0
- Update source url

* Wed Sep 28 2016 Vasiliy N. Glazov <vascom2@gmail.com> - 0.8.7-10
- Use system pcrecpp (#1119134)
- Require usermode-gtk (#1368430)

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.8.7-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Fri Oct 26 2012 Eric Smith <eric@brouhaha.com>  0.8.7-1
- Update to latest upstream.
- Dropped patches 1 and 2.

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.8.6-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Feb 10 2012 Petr Pisar <ppisar@redhat.com> - 0.8.6-6
- Rebuild against PCRE 8.30

* Mon Jan 16 2012 Eric Smith <eric@brouhaha.com>  0.8.6-5
- Patch to compile with GCC 4.7.

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.8.6-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Mon Dec 12 2011 Eric Smith <eric@brouhaha.com>  0.8.6-3
- Patch to work around deprecated g_static_mutex.

* Sat Dec 03 2011 Eric Smith <eric@brouhaha.com>  0.8.6-2
- Updated per package review comments.

* Sat Oct 08 2011 Eric Smith <eric@brouhaha.com>  0.8.6-1
- Updated to latest upstream release.
- Removed obsolte BuildRoot tag, clean section, defattr, etc.
- Added runtime requirements for smartmontools and hicolor-icon-theme,
  per the suggestions in the package review (bug 697247).

* Mon Apr 18 2011 Eric Smith <eric@brouhaha.com>  0.8.5-2
- Changed "Whatever" to "MIT" in license tag, based on Tom Callaway's
  post to Fedora-legal-list.

* Sun Apr 17 2011 Eric Smith <eric@brouhaha.com>  0.8.5-1
- Initial version
